package com.qmth.sop.common.enums;

/**
 * @Description: 短信模版enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/8/18
 */
public enum MessageEnum {

    NOTICE_OF_VIOLATION_REMIND("违规提醒通知", "${userName}您好，[${serviceName}]的[${customName}]SOP收到[${createUserName}]发出的“${violationType}”的违规登记，请及时处理！"),

    NOTICE_OF_DELAY_REMIND("延期提醒通知", "${userName}您好，[${serviceName}]的[${customName}]SOP有[${flowName}]待办任务已逾期，请及时处理！"),

    NOTICE_OF_DING_EXCEPTION("异常审核通知", "${userName}您好，您提交的[${dingDate}]的考勤异常已完成审核，结果是[${approveRemark}]！"),

    NOTICE_OF_PROJECT_EXCHANGE("系统计划变更审核通知", "${userName}您好，您提交的[${serviceName}]的[${customName}]SOP，类型为“${exchangeType}”的系统计划变更申请已处理完成！"),

    NOTICE_OF_SOP_DONE("教务处/研究生SOP节点负责人通知", "${userName}您好，您已收到[${serviceName}]的[${customName}]SOP的[${flowName}]的待办任务！"),

    NOTICE_OF_SOP_DONE_REMIND("教务处/研究生SOP提前提醒通知", "${userName}您好，[${serviceName}]的[${customName}]SOP有[${flowName}]待办任务即将到期，请及时处理！"),

    NOTICE_OF_SYSTEM_REMIND("系统通知公告通知", "${userName}您好，您收到标题为“${title}”的通知公告，请及时上线查阅！");

    MessageEnum(String name, String template) {
        this.name = name;
        this.template = template;
    }

    private final String name;

    private final String template;

    public String getName() {
        return name;
    }

    public String getTemplate() {
        return template;
    }
}
